2020-12-27  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.7.4.
	* version.ac: Adjusted.

2020-12-24  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.7.3.
	* Makefile.am, version.ac: Adjusted.

2020-08-29  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.7.2.
	* version.ac: Adjusted.

2020-08-14  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.7.1.
	* Makefile.am, version.ac: Adjusted.

2020-07-25  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.7.0.
	* Makefile.am, version.ac: Adjusted.

2020-06-23  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.8.
	* Makefile.am, include/Makefile.am, version.ac: Adjusted.

2020-06-04  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.7.
	* version.ac: Adjusted.

2020-05-18  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.6.
	* Makefile.am, include/Makefile.am, version.ac: Adjusted.

2019-10-30  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.4.
	* version.ac: Adjusted.

2019-10-29  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.3.
	* Makefile.am, version.ac: Adjusted.

2019-10-01  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.2.
	* Makefile.am, version.ac: Adjusted.

2019-08-24  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.1.
	* version.ac: Adjusted.

2019-08-15  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.6.0.
	* version.ac, Makefile.am, include/Makefile.am: Adjusted.

2019-06-27  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.5.3.
	* version.ac, Makefile.am: Adjusted.

2019-06-21  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.5.2.
	* version.ac, Makefile.am: Adjusted.

2019-06-01  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.5.1.
	* version.ac: Adjusted.

2019-05-30  Khaled Hosny  <dr.khaled.hosny@gmail.com>

	* Makefile.am: Fix missing Unicode functions with
	HarfBuzz 2.5.0. Drop ICU dependency.
	* aclocal.m4, configure.ac, hbtest.c, include/Makefile.am:
	Drop ICU dependency.

2019-05-25  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.5.0.
	* version.ac, configure.ac, Makefile.am: Adjusted.

2019-05-03  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.4.0.
	* version.ac: Adjusted.

2019-01-31  Akira Kakuto  <kakuto@w32tex.org>

	Import harfbuzz-2.3.1.
	* version.ac, Makefile.am: Adjusted.

2018-12-22  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.3.0.
	* version.ac, Makefile.am, include/Makefile.am: Adjusted.

2018-11-30  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.2.0.
	* version.ac, include/Makefile.am: Adjusted.

2018-11-19  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.1.3.
	* version.ac, Makefile.am: Adjusted.

2018-11-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.1.1.
	* version.ac: Adjusted.

2018-10-31  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.1.0.
	* version.ac, Makefile.am, include/Makefile.am: Adjusted.

2018-10-21  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.0.2.
	* version.ac: Adjusted.

2018-10-20  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.0.1.
	* version.ac: Adjusted.

2018-10-20  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-2.0.0.
	* version.ac, Makefile.am, include/Makefile.am: Adjusted.

2018-10-20  Khaled Hosny  <khaledhosny@eglug.org>

	* configure.ac: Set HAVE_ICU_BUILTIN.

2018-09-11  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.9.0.
	* version.ac, Makefile.am: Adjusted.

2018-08-15  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.8.
	* version.ac: Adjusted.

2018-08-09  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.7.
	* version.ac: Adjusted.

2018-08-07  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.6.
	* version.ac, Makefile.am: Adjusted.

2018-08-03  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.5.
	* version.ac, Makefile.am: Adjusted.

2018-07-18  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.4.
	* version.ac: Adjusted.

2018-07-13  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.3.
	* configure.ac, version.ac: Adjusted.

2018-07-04  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.2.

2018-06-15  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.1.

2018-06-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.8.0.
	* configure.ac, Makefile.am, version.ac,
	include/Makefile.am: Adjusted.

2018-03-07  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.7.6.
	* Makefile.am, version.ac, include/Makefile.am: Adjusted.

2018-01-31  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.7.5.
	* Makefile.am, version.ac: Adjusted.

2018-01-09  Karl Berry  <karl@freefriends.org>

	* configure.ac: use AX_CXX_COMPILE_STDCXX([11],,[optional])
	since this is supposed to work with C++11.
	(KPSE_COMPILER_VISIBILITY): call this instead of hardwiring
	-fvisibility-inlines-hidden.

2017-12-26  Karl Berry  <karl@tug.org>

	* configure.ac (CXXFLAGS): add -D_GNU_SOURCE.
	From Ken Brown, tlbuild mail 26 Dec 2017 11:09:01.

2017-12-20  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.7.4.
	* version.ac: Adjusted.

2017-12-18  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.7.3.
	* version.ac: Adjusted.

2017-12-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.7.2.
	* version.ac: Adjusted.

2017-11-15  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.7.1.
	* version.ac: Adjusted.

2017-11-14  Karl Berry  <karl@tug.org>

	* configure.ac (KPSE_BASIC): pass Automake option no-define
	to stop the #define of VERSION (and PACKAGE), which harfbuzz
	and/or C++ is apparently now using for its own incompatible purposes.
	* config.h.in (PACKAGE, VERSION): hence auto-removed (by aclocal).

2017-11-13  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.7.0.
	* Makefile.am, version.ac: Adjusted.

2017-10-31  Karl Berry  <karl@freefriends.org>

	* configure.ac: update AC_CHECK_FUNCS and AC_CHECK_HEADERS
	for 1.6.3.
	(CXXFLAGS): merge gcc additions from distribution source,
	most notably including -std=c++11.
	(HAVE_GCC): new conditional, also from dist source.

2017-10-26  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.6.3.
	* version.ac: Adjusted.
	Note that c++11 is required from the version 1.6.1. Works for
	the c++11 configuration are not yet done.

2017-10-24  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.6.2.
	* version.ac: Adjusted.
	Note that c++11 is required from the version 1.6.1. Works for
	the c++11 configuration are not yet done.

2017-10-23  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.6.1.
	* Makefile.am, version.ac: Adjusted.

2017-10-13  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.6.0.
	* version.ac: Adjusted.

2017-09-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.5.1.
	* version.ac: Adjusted.

2017-08-24  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.5.0.
	* version.ac: Adjusted.

2017-08-09  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.8.
	* version.ac: Adjusted.

2017-07-18  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.7.
	* version.ac: Adjusted.

2017-04-27  Karl Berry  <karl@tug.org>

	* Makefile.am (LDADD): add $(ICU_LIBS_EXTRA).

2017-04-24  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.6.
	* version.ac: Adjusted.

2017-03-11  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.5.
	* version.ac: Adjusted.

2017-03-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.4.
	* version.ac: Adjusted.

2017-02-25  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.3.
	* Makefile.am, version.ac: Adjusted.

2017-01-25  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.2.
	* include/Makefile.am, Makefile.am, version.ac: Adjusted.

2017-01-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.1.
	* version.ac: Adjusted.

2017-01-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.4.0.
	* Makefile.am, version.ac: Adjusted.

2016-12-06  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.3.4.
	* Makefile.am, version.ac: Adjusted.

2016-10-31  Karl Berry  <karl@tug.org>

	* include/Makefile.am (hdr_links): add hb-ot-math.h
	(else xetex build fails).

2016-10-26  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.3.3.
	* Makefile.am, version.ac: Adjusted.

2016-09-28  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.3.2.
	* version.ac: Adjusted.

2016-09-07  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.3.1.
	* version.ac: Adjusted.

2016-07-22  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.3.0.
	* version.ac: Adjusted.

2016-05-02  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.2.7.
	* version.ac: Adjusted.

2016-04-09  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.2.6.
	* version.ac: Adjusted.

2016-04-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.2.5.
	* version.ac: Adjusted.

2016-03-17  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.2.4.
	* version.ac: Adjusted.

2016-02-25  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.2.3.
	* version.ac: Adjusted.

2016-02-24  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.2.1.
	* version.ac: Adjusted.

2016-02-19  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.2.0.
	* version.ac: Adjusted.

2016-02-15  Karl Berry  <karl@tug.org>

	* harfbuzz-PATCHES: rename from harfbuzz-src-PATCHES.
	* Makefile.am (EXTRA_DIST): likewise.

2016-01-12  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.1.3.
	* Makefile.am: Add hb-ot-os2-table.hh.
	* version.ac: Adjusted.

2015-12-28  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	Import harfbuzz-1.1.2.
	* version.ac: Adjusted.

2015-10-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-1.0.4.
	* version.ac: Adjusted.

2015-09-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-1.0.3.
	* version.ac: Adjust.

2015-08-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-1.0.2.
	* version.ac, Makefile.am: Adjust.

2015-07-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-1.0.1.
	* version.ac, Makefile.am: Adjust.

2015-07-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Better dependencies for 'make check'.

2015-06-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.41.
	* version.ac: Adjust.

2015-03-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.40.
	* version.ac: Adjust.

2015-03-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.39.
	* version.ac: Adjust.

2015-02-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Use the fragment ../../am/dist_hook.am.

2015-01-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.38.
	* version.ac: Adjust.

2014-12-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.37.
	* version.ac: Adjust.

2014-11-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.36.
	* version.ac: Adjust.

2014-08-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.35.
	* version.ac: Adjust.

2014-08-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.34.
	* version.ac: Adjust.

2014-07-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.33.
	* version.ac: Adjust.

2014-07-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.32.
	* version.ac: Adjust.

2014-07-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.31.
	* version.ac: Adjust.

2014-07-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.30.
	* configure.ac, version.ac: Adjust.

2014-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.29.
	* version.ac: Adjust.

2014-04-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.28.
	* version.ac, Makefile.am, include/Makefile.am: Adjust.

2014-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.27.
	* version.ac: Adjust.

2014-01-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.26.
	* version.ac, Makefile.am, include/Makefile.am: Adjust.

2013-12-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.25.
	* version.ac: Adjust.

2013-11-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.24.
	* version.ac: Adjust.

2013-10-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* hbtest.c: Print more info.

2013-10-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.23.
	* version.ac: Adjust.

2013-10-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.22.
	* version.ac: Adjust.

2013-09-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.21.
	* version.ac, configure.ac, Makefile.am: Adjust.

2013-09-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.20.
	* version.ac, Makefile.am, include/Makefile.am: Adjust.

2013-09-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: Drop LT_INIT, not using Libtool.

2013-06-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.19.
	* version.ac: Adjust.

2012-07-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Use ../../am/reconfig.am and ../../am/rebuild.am.

	* harfbuzz.test (new): Shell script for a basic test.
	* hbtest.c (new): Source code for test program.

2013-07-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* include/Makefile.am: Moved Makefile fragments to ../../am/.

2013-06-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.18.
	* version.ac, Makefile.am, configure.ac: Adjust.

2013-04-06  Khaled Hosny  <khaledhosny@eglug.org>

	Import harfbuzz-0.9.15.
	* version.ac: Adjust.

2013-03-22  Khaled Hosny  <khaledhosny@eglug.org>

	Import harfbuzz-0.9.14.
	* version.ac, Makefile.am: Adjust.

2013-03-07  Khaled Hosny  <khaledhosny@eglug.org>

	* ac/withenable.ac, configure.ac: Drop FreeType2 dependency.
	* Makefile.am: Don't build hb-ft.cc, drop FreeType2 dependency.
	* include/Makefile.am: Don't install hb-ft.h.

2013-01-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.13.
	* version.ac, Makefile.am: Adjust.

2013-01-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Allow subdir-objects.

2013-01-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.12.
	* version.ac: Adjust.

2013-01-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.11.
	* version.ac: Adjust.

2013-01-03  Khaled Hosny  <khaledhosny@eglug.org>

	Import harfbuzz-0.9.10.
	* version.ac: Adjust.

2012-12-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: Use KPSE_BASIC to enable silent rules.

2012-12-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.8.
	* version.ac: Adjust.
	* include/Makefile.am (hdr_links): Add hb-graphite2.h.

2012-12-02  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* hb-blob.h hb-buffer.h hb-common.h hb-font.h hb-ot-layout.h
	hb-ot-tag.h hb-set.h hb-shape-plan.h hb-shape.h hb-unicode.h
	hb-version.h.in in harfbuzz-0.9.7/src: disable '#error' for MSVC.
	
2012-11-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Import harfbuzz-0.9.7.
